org.apache.jmeter.gui.action

## Class RawTextSearcher

- java.lang.Object
- - org.apache.jmeter.gui.action.RawTextSearcher

- All Implemented Interfaces:
    Searcher

      public class RawTextSearcher
      extends Object
      implements Searcher

  Searcher implementation that searches text as is

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawTextSearcher(boolean caseSensitive, String textToSearch)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `search(List<String> textTokens)` Implements the search
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RawTextSearcher

          public RawTextSearcher(boolean caseSensitive,
                                 String textToSearch)

      Constructor
      Parameters:
        `caseSensitive` - is search case sensitive
        `textToSearch` - Text to search

  - ### Method Detail

    - #### search

          public boolean search(List<String> textTokens)

      Implements the search
      Specified by:
        `search` in interface `Searcher`
      Parameters:
        `textTokens` - List of content to be searched
      Returns:
        true if search on textTokens is successful

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.